Get Donors
curl --request GET \
--url https://server.stage.overflow.co/api/v3/donors \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/donors"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/donors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "6710f34fd5061afeec3eab57",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "+1234567890",
"address": {
"line1": "123 Main St",
"line2": "Apt 1",
"city": "Anytown",
"state": "CA",
"zip": "12345"
},
"activeRecurringCount": 1,
"latestContributionDate": "2025-01-01T00:00:00.000",
"locationIds": [
"6710f34fd5061afeec3eab57"
],
"totalContributionsCount": 10
}
],
"totalCount": 100
}Get Donors
Returns donors for the nonprofit based on the provided filters.
GET
/
api
/
v3
/
donors
Get Donors
Authorizations
Client ID for API authentication
API Key for API authentication
Query Parameters
The number of donors to return
Required range:
1 <= x <= 100Filter donors by location IDs
Example:
["6710f34fd5061afeec3eab57"]
The maximum updated date of the donors to return.
Example:
"2025-02-01"
The minimum updated date of the donors to return.
Example:
"2025-01-01"
The page number of the donors to return
Required range:
x >= 1The field to sort the donors by.
Available options:
createdAt, updatedAt, firstName, lastName, email, phone, id, totalContributionsCount Example:
"createdAt"
The direction to sort the donors by.
Available options:
ASC, DESC Example:
"DESC"
Last modified on July 14, 2026
Was this page helpful?